<?php 
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined( '_JEXEC' ) or die( 'Restricted access' );

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

// bg image ONLY FOR SOCCERLIFT
$bg_image = ($bt->display_bg_image) ? ' style="background: #152F47 url('.$bt->host.'templates/'.$this->template.'/images/'.$bt->skin.'/layout/main_image.jpg) scroll no-repeat top left;"' : '';

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<jdoc:include type="head" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/system.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/system/offline.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/<?php echo $bt->skin; ?>.css" type="text/css" />    
</head>
<body<?php echo $bg_image;?>>

<?php if (JVERSION < '1.6') { ?>

    <div class="bt_offline_message"><jdoc:include type="message" /></div>
    
    <?php if(JPluginHelper::isEnabled('authentication', 'openid')) : ?>
    <?php JHTML::_('script', 'openid.js'); ?>
    <?php endif; ?>
    
    <div id="bt_offline_logo"><?php echo $bt->bt_logo;?></div>    
    <div id="bt_offline_outer">
        <div id="bt_offline_image">&nbsp;</div>
        <div id="bt_offline_form">
        <form action="index.php" method="post" name="login">
                <div id="bt_offline_form_user">
                <label for="username"><?php echo JText::_('Username') ?></label>
                <input name="username" id="username" type="text" class="inputbox" alt="<?php echo JText::_('Username') ?>" size="18" />
                </div>
                <div id="bt_offline_form_pass">
                <label for="passwd"><?php echo JText::_('Password') ?></label>
                <input type="password" name="passwd" class="inputbox" size="18" alt="<?php echo JText::_('Password') ?>" id="passwd" />
                </div>
                <div id="bt_offline_form_remember">
                <input type="checkbox" name="remember" class="inputbox" value="yes" alt="<?php echo JText::_('Remember me') ?>" id="remember" />
                <label for="remember"><?php echo JText::_('Remember me') ?></label>
                </div>
            <div id="bt_offline_form_button">
            <input type="submit" name="Submit" class="button" value="<?php echo JText::_('LOGIN') ?>" />
            </div>
        <input type="hidden" name="option" value="com_user" />
        <input type="hidden" name="task" value="login" />
        <input type="hidden" name="return" value="<?php echo base64_encode(JURI::base()) ?>" />
        <?php echo JHTML::_( 'form.token' ); ?>
        </form>
        </div>
        <div id="bt_offline_message"><?php echo $mainframe->getCfg('offline_message'); ?></div>
    </div>
    
<?php }else{ ?>
	
	<div class="bt_offline_message"><jdoc:include type="message" /></div>

	<div id="bt_offline_logo"><?php echo $bt->bt_logo;?></div>    
    <div id="bt_offline_outer">
        <div id="bt_offline_image">&nbsp;</div>
        <div id="bt_offline_form">
        <form action="<?php echo JRoute::_('index.php', true); ?>" method="post" id="form-login">
            <div id="bt_offline_form_user">
            <label for="username"><?php echo JText::_('JGLOBAL_USERNAME') ?></label>
            <input name="username" id="username" type="text" class="inputbox" alt="<?php echo JText::_('JGLOBAL_USERNAME') ?>" size="18" />
            </div>
            <div id="bt_offline_form_pass">
            <label for="passwd"><?php echo JText::_('JGLOBAL_PASSWORD') ?></label>
            <input type="password" name="password" class="inputbox" size="18" alt="<?php echo JText::_('JGLOBAL_PASSWORD') ?>" id="passwd" />
            </div>
            <div id="bt_offline_form_remember">
            <input type="checkbox" name="remember" class="inputbox" value="yes" alt="<?php echo JText::_('JGLOBAL_REMEMBER_ME') ?>" id="remember" />
            <label for="remember"><?php echo JText::_('JGLOBAL_REMEMBER_ME') ?></label>
            </div>
            <div id="bt_offline_form_button">
                <input type="submit" name="Submit" class="button" value="<?php echo JText::_('JLOGIN') ?>" />
            </div>
            <input type="hidden" name="option" value="com_users" />
            <input type="hidden" name="task" value="user.login" />
            <input type="hidden" name="return" value="<?php echo base64_encode(JURI::base()) ?>" />
            <?php echo JHTML::_( 'form.token' ); ?>
        </form>
        </div>
        <div id="bt_offline_message"><?php echo $bt->app->getCfg('offline_message'); ?></div>
    </div>
<?php } ?>
</body>
</html>