<?php
/*--------------------------------------------------------
# BT Super News v1.0 - Joomla Module
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// Get the hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
 
// CSS
$document =& JFactory::getDocument();
$document->addStyleSheet($host.'modules/mod_bt_supernews/tmpl/assets/css/type5.css');

$i = 1;
foreach ($bt_supernews_list as $bt_supernews_item) { 

$img_separator = ($i != count($bt_supernews_list)) ? 'padding: 5px 0 5px 0; background: transparent url(modules/mod_bt_supernews/tmpl/assets/icons/separator.png) repeat-x center bottom;' : 'padding: 5px 0 0 0;';
?>

<div class="bt_snews" style="<?php //echo $img_separator;?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<?php if ($bt_supernews_item->image) { ?>
    <!-- IMAGE -->
	<td valign="top" width="<?php echo intval($params->get('image_width')); ?>">
        <div class="bt_snews_img" style="width: <?php echo intval($params->get('image_width')); ?>px;"><?php echo $bt_supernews_item->image; ?></div>
    </td>
    <?php } ?>    
    
	<?php if ($bt_supernews_item->title) { ?>
	<td valign="top">
		<div class="bt_snews_title" style="font-size: <?php echo $bt_supernews_item->fontsize; ?>%;"><a href="<?php echo $bt_supernews_item->link; ?>"><?php echo $bt_supernews_item->title; ?></a></div>
    </td>
	<?php } ?>
    
    <?php if ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon) { ?>
    <td valign="top" align="right" class="bt_snews_icons">
        <?php if ($bt_supernews_item->print_icon) { ?>
        <!-- PRINT ICON -->
        <div class="bt_snews_print"><?php echo $bt_supernews_item->print_icon; ?></div>
        <?php } ?>
        <?php if ($bt_supernews_item->email_icon) { ?>
        <!-- EMAIL ICON -->
        <div class="bt_snews_email"><?php echo $bt_supernews_item->email_icon; ?></div>
        <?php } ?>
    </td>
    <?php } ?>
    
</tr>
</table>

    <!-- SECTION / CATEGORY / AUTHOR -->
    <?php if ($bt_supernews_item->section || $bt_supernews_item->category || $bt_supernews_item->author || $bt_supernews_item->date) { ?>
    <div class="bt_snews_sec_cat_author">
        <?php if ($bt_supernews_item->section || $bt_supernews_item->category) { ?>
        <span>In:</span>
        <?php } ?>
        <!-- SECTION -->
        <?php if ($bt_supernews_item->section) { ?>
        <div class="bt_snews_sec"><?php echo $bt_supernews_item->section; ?>, </div>
        <?php } ?>
        <!-- CATEGORY -->
        <?php if ($bt_supernews_item->category) { ?>
        <div class="bt_snews_cat"><?php echo $bt_supernews_item->category; ?></div>
        <?php } ?>
        <!-- AUTHOR -->
        <?php if ($bt_supernews_item->author) { ?>
        <span>By:</span>
        <div><?php echo $bt_supernews_item->author; ?></div>
        <?php } ?>
        <!-- DATE -->
        <?php if ($bt_supernews_item->date) { ?>
        <span>Date:</span>
        <div><?php echo $bt_supernews_item->date; ?></div>
        <?php } ?>
    </div>
    <?php } ?>        
    
    <!-- TEXT -->
    <?php if ($bt_supernews_item->text) { ?>
        <!-- INTRO TEXT -->
        <p class="bt_snews_text"><?php echo $bt_supernews_item->text; ?>
        
        <!-- READMORE TEXT -->
        <?php if ($bt_supernews_item->readmore) { ?>
            <span><?php echo $bt_supernews_item->readmore; ?></span>
        <?php } ?>
        
        </p>
    <?php } ?>  

</div>
<?php 
$i++;
}
?>