<?php
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

// no direct access
defined('_JEXEC') or die('Restricted access'); ?>

<?php /*?> ********************************** LOGIN ********************************** <?php */?>
<div id="bt_popup">
	
    <?php if ($type == 'logout') { ?>
	    <a href="#bt_login_window" class="bt_login_icon" name="modal">Logout</a>
	<?php }else{ ?>
	    <a href="#bt_login_window" class="bt_login_icon" name="modal">Sign In</a><span>or</span><a href="#bt_register_window" name="modal">Register</a>
	<?php } ?>
    
	<div class="boxes">
		
        <div id="bt_login_window" class="window">
		
        <a href="#" class="close"><div class="bt_close">CLOSE</div></a>
        
		<div class="bt_login_title">Client Area <span>Login</span></div>		
        
       	<div class="bt_login_form">
        
			<?php if($type == 'logout') : ?>
            <form action="index.php" method="post" name="login" id="form-login">
            <?php if ($params->get('greeting')) : ?>
                <div>
                <?php if ($params->get('name')) : {
                    echo JText::sprintf( 'HINAME', $user->get('name') );
                } else : {
                    echo JText::sprintf( 'HINAME', $user->get('username') );
                } endif; ?>
                </div>
            <?php endif; ?>
                <div align="center">
                    <input type="submit" name="Submit" class="button" value="<?php echo JText::_( 'BUTTON_LOGOUT'); ?>" />
                </div>
            
                <input type="hidden" name="option" value="com_user" />
                <input type="hidden" name="task" value="logout" />
                <input type="hidden" name="return" value="<?php echo $return; ?>" />
            </form>
            <?php else : ?>
            <?php if(JPluginHelper::isEnabled('authentication', 'openid')) :
                    $lang->load( 'plg_authentication_openid', JPATH_ADMINISTRATOR );
                    $langScript = 	'var JLanguage = {};'.
                                    ' JLanguage.WHAT_IS_OPENID = \''.JText::_( 'WHAT_IS_OPENID' ).'\';'.
                                    ' JLanguage.LOGIN_WITH_OPENID = \''.JText::_( 'LOGIN_WITH_OPENID' ).'\';'.
                                    ' JLanguage.NORMAL_LOGIN = \''.JText::_( 'NORMAL_LOGIN' ).'\';'.
                                    ' var modlogin = 1;';
                    $document = &JFactory::getDocument();
                    $document->addScriptDeclaration( $langScript );
                    JHTML::_('script', 'openid.js');
            endif; ?>
            <form action="<?php echo JRoute::_( 'index.php', true, $params->get('usesecure')); ?>" method="post" name="login" id="form-login" >
                <?php echo $params->get('pretext'); ?>
                    <input id="modlgn_username" type="text" name="username" class="inputbox" alt="username" size="18" />
                    <input id="modlgn_passwd" type="password" name="passwd" class="inputbox" size="18" alt="password" />
                
				<div class="bt_button_line">
				<?php if(JPluginHelper::isEnabled('system', 'remember')) : ?>
                <div class="bt_remember_line">
                    <input id="modlgn_remember" type="checkbox" name="remember" class="inputbox" value="yes" alt="Remember Me" />
                    <label for="modlgn_remember"><?php echo JText::_('Remember me') ?></label>
                </div>
                <?php endif; ?>
                <input type="submit" name="Submit" class="button" value="<?php echo JText::_('LOGIN') ?>" />
                </div>
                
                <div class="bt_separator">
                    <a href="<?php echo JRoute::_( 'index.php?option=com_user&view=reset' ); ?>">
                    <?php echo JText::_('FORGOT_YOUR_PASSWORD'); ?></a>

                    <a href="<?php echo JRoute::_( 'index.php?option=com_user&view=remind' ); ?>">
                    <?php echo JText::_('FORGOT_YOUR_USERNAME'); ?></a>
                    <?php
                    $usersConfig = &JComponentHelper::getParams( 'com_users' );
                    if ($usersConfig->get('allowUserRegistration')) : ?>
                        <a href="<?php echo JRoute::_( 'index.php?option=com_user&view=register' ); ?>">
						<?php echo JText::_('REGISTER'); ?></a>
                    <?php endif; ?>
                <?php echo $params->get('posttext'); ?>
            	</div>
                
                <input type="hidden" name="option" value="com_user" />
                <input type="hidden" name="task" value="login" />
                <input type="hidden" name="return" value="<?php echo $return; ?>" />
                <?php echo JHTML::_( 'form.token' ); ?>
            </form>
            <?php endif; ?>
		
        </div>
        </div>

		<div id="mask_login" class="mask"></div>

	</div>

<?php /*?> ********************************** REGISTER ********************************** <?php */?>
	
    <div class="boxes">
		
        <div id="bt_register_window" class="window">

        <a href="#" class="close"><div class="bt_close">CLOSE</div></a>
        
		<div class="bt_login_title">Client Area <span>Register</span></div>		
		
        <div class="bt_login_form">
			<script type="text/javascript">
            <!--
                Window.onDomReady(function(){
                    document.formvalidator.setHandler('passverify', function (value) { return ($('password').value == value); }	);
                });
            // -->
            </script>
            
            <?php
                if(isset($this->message)){
                    $this->display('message');
                }
            ?>
            <form action="<?php echo JRoute::_( 'index.php?option=com_user' ); ?>" method="post" id="josForm" name="josForm" class="form-validate">
				<input type="text" name="name" id="name" size="40" value="<?php echo $user->get( 'name' );?>" class="inputbox required" maxlength="50" /> *
                <input type="text" id="username" name="username" size="40" value="<?php echo $user->get( 'username' );?>" class="inputbox required validate-username" maxlength="25" /> *
                <input type="text" id="email" name="email" size="40" value="<?php echo $user->get( 'email' );?>" class="inputbox required validate-email" maxlength="100" /> *
                <input class="inputbox required validate-password" type="password" id="password" name="password" size="40" value="" /> *
                <input class="inputbox required validate-passverify" type="password" id="password2" name="password2" size="40" value="" /> *
                
                <div class="bt_register_required">
                    <?php echo JText::_( 'REGISTER_REQUIRED' ); ?>
                </div>

                <div class="bt_register_button_line">
                    <button class="button validate" type="submit"><?php echo JText::_('Register'); ?></button>
                </div>
                
                <input type="hidden" name="task" value="register_save" />
                <input type="hidden" name="id" value="0" />
                <input type="hidden" name="gid" value="0" />
                <?php echo JHTML::_( 'form.token' ); ?>
            </form>
		
        </div>
        </div>
        
        <div id="mask_register" class="mask"></div>
	
    </div>

</div>