<?php
/*--------------------------------------------------------
# BT Super News v1.0 - Joomla Module
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// CSS and JS
jimport('joomla.environment.uri' );
$host = JURI::root();
$document =& JFactory::getDocument();
$document->addScript($host.'modules/mod_bt_supernews/tmpl/assets/js/scroll_news.js');
$document->addStyleSheet($host.'modules/mod_bt_supernews/tmpl/assets/css/scroll_news.css');

// get some params
$image_width = intval($params->get('image_width')); 
$image_height = intval($params->get('image_height')); 
//$image_height = ($params->def('show_image') == 1) ? intval($params->get('image_height')) : 20;

?>
<style type="text/css">
#bt_scroll_news { width: 100%; margin: 0; padding: 0; text-transform: none; font-size: 12px; height: <?php echo $image_height;?>px; }
</style>

<script type="text/javascript">
var bt_scroll_news=new Array()
<?php 
$i = 0;
foreach ($bt_supernews_list as $bt_supernews_item) { 

	$image = ($bt_supernews_item->image) ? 1 : 0;
	$date = ($bt_supernews_item->date) ? 1 : 0;
	$tools = ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon) ? 1 : 0;
	$print = ($bt_supernews_item->print_icon) ? 1 : 0;
	$email = ($bt_supernews_item->email_icon) ? 1 : 0;
	$title = ($bt_supernews_item->title) ? 1 : 0;

	$scroll_item = '<table cellpadding="0" border="0" cellspacing="0" width="100%"><tr>';
	
	if ($image) {
		$scroll_item .= '<td valign="top" width="'.$image_width.'px"><div style="width: '.$image_width.'px; margin: 0 10px 0 0;">'.$bt_supernews_item->image.'</div></td>';
	}

	if ($tools) {
		$scroll_item .= '<td valign="middle" width="62" height="'.$image_height.'">';
		if ($print) {
			$scroll_item .= '<div style="float: left; padding: 4px 0 0 0; margin: 0 10px 0 0;">'.$bt_supernews_item->print_icon.'</div>';
		}
		if ($email) {
			$scroll_item .= '<div style="float: left; padding: 4px 0 0 0;">'.$bt_supernews_item->email_icon.'</div>';
		}

		$scroll_item .= '<div style="float:left; color: #ccc; padding: 0 10px 0 10px;">|</div>';
		$scroll_item .= '</td>';
	}
	
	if ($date || $title) {
		$scroll_item .= '<td valign="top">';
		$scroll_item .= '<div style="line-height: '.$image_height.'px;">';
		
		if ($date) {
			$scroll_item .= '<div style="float:left; margin: 0; color: #ccc;">'.$bt_supernews_item->date.'</div>';
		}
		
		if ($title) {
			$bt_title = $bt_supernews_item->title;
			$bt_title = str_replace("'", "", $bt_title);
			$scroll_item .= '<div style="float:left; color: #ccc; padding: 0 10px 0 10px;">|</div>';
			$scroll_item .= '<div style="float:left; font-size: '.$bt_supernews_item->fontsize.'%;"><a href="'.$bt_supernews_item->link.'">'.$bt_title.'</a></div>';
		}
		
		$scroll_item .= '</div>';
		$scroll_item .= '</td>';
	}
	
	$scroll_item .= '</tr></table>';

	?>
	
	bt_scroll_news[<?php echo $i; ?>]='<?php echo $scroll_item; ?>'
<?php 
$i++;
} 
?>
new pausescroller(bt_scroll_news, "bt_scroll_news", "", 5000)
</script>
